import { ControlElement } from "./ControlElement";
import { Complex } from "Framework/Math/Complex";
export declare class ControlElementDeadTime extends ControlElement {
    private _T;
    private _y;
    private _uArr;
    private _readIdx;
    private _writeIdx;
    private _tt;
    constructor(T: number);
    GetType(): string;
    GetLowestTimeConstant(): number;
    Initialize(dt: number): void;
    Calculate(u: number, dt: number): number;
    TimeFunctionStepResponse(t: number): number;
    private _res;
    TransferFunction(s: Complex): Complex;
    OptimizeGetNumParameters(): number;
    OptimizeSetParameters(params: number[], startIdx: number): void;
}
