import { ControlElement } from "./ControlElement";
import { Complex } from "../Math/Complex";
export declare class ControlElementP extends ControlElement {
    private _K;
    constructor(K: number);
    GetType(): string;
    GetLowestTimeConstant(): number;
    Initialize(_dt: number): void;
    Calculate(u: number, _dt: number): number;
    TimeFunctionStepResponse(_t: number): number;
    private _res;
    TransferFunction(_s: Complex): Complex;
    OptimizeGetNumParameters(): number;
    OptimizeSetParameters(params: number[], startIdx: number): void;
}
