import { Complex } from "Framework/Math/Complex";
import { IComplexFunction } from "Framework/Math/IComplexFunction";
export declare class LaplaceTransformFunction implements IComplexFunction {
    private _ctrlElem;
    private constructor();
    static Create(type: string, K?: number, T?: number, D?: number): LaplaceTransformFunction;
    TimeFunctionStepResponse(t: number): number;
    TransferFunction(s: Complex): Complex;
    private _res;
    Function(s: Complex): Complex;
    TimeFunctionDifferentialEquation(endTime: number, timeStep: number, numPoints: number): [number, number][];
}
