import { ControlElement } from "./ControlElement";
import { Complex } from "../../Framework/Math/Complex";
export declare class ControlPath extends ControlElement {
    private readonly _controlElementList;
    constructor(controlElementList?: ControlElement[]);
    Add(controlelement: ControlElement): void;
    GetType(): string;
    GetLowestTimeConstant(): number;
    Initialize(dt: number): void;
    Calculate(u: number, dt: number): number;
    TimeFunctionStepResponse(_t: number): number;
    private _res;
    TransferFunction(s: Complex): Complex;
    OptimizeGetNumParameters(): number;
    OptimizeSetParameters(params: number[], startIdx: number): void;
}
