import { IComplexFunction } from "../Math/IComplexFunction";
import { ILaplaceTransformInversion } from "./ILaplaceTransformInversion";
export declare class LaplaceTransformInversionHuddleston implements ILaplaceTransformInversion {
    private _sigma;
    private _omega;
    private _n;
    GetName(): string;
    constructor(sigma?: number, omega?: number, n?: number);
    Calculate(F: IComplexFunction, tArr: number[]): number[];
}
