var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { ControlElement } from "./ControlElement";
import { Complex } from "../../Framework/Math/Complex";
var ControlElementP = (function (_super) {
    __extends(ControlElementP, _super);
    function ControlElementP(K) {
        var _this = _super.call(this) || this;
        _this._res = new Complex(0);
        _this._K = K;
        return _this;
    }
    ControlElementP.prototype.GetType = function () {
        return "P";
    };
    ControlElementP.prototype.GetLowestTimeConstant = function () {
        return -1;
    };
    ControlElementP.prototype.Initialize = function (_dt) {
    };
    ControlElementP.prototype.Calculate = function (u, _dt) {
        var y = this._K * u;
        return y;
    };
    ControlElementP.prototype.TimeFunctionStepResponse = function (_t) {
        return this._K;
    };
    ControlElementP.prototype.TransferFunction = function (_s) {
        this._res.Set(this._K, 0);
        return this._res;
    };
    ControlElementP.prototype.OptimizeGetNumParameters = function () {
        return 1;
    };
    ControlElementP.prototype.OptimizeSetParameters = function (params, startIdx) {
        this._K = params[startIdx + 0];
    };
    return ControlElementP;
}(ControlElement));
export { ControlElementP };
//# sourceMappingURL=ControlElementP.js.map