import { ControlLoop } from "./ControlLoop";
import { IControlOptimization } from "./IControlOptimization";
export declare class ControllerOptimizationLocalVariation {
    private readonly _NUM_TIME_STEPS;
    private _controlLoop;
    private _controlOptimization;
    private _calcError;
    constructor(controlLoop: ControlLoop, controlOptimization: IControlOptimization);
    Optimize(startParams: number[], startDelta: number[], maxNumSteps: number, stepHeight: number, stepTime: number, endTime: number, maxOvershot: number, weightingCtrlOut: number, weightingOvershot: number): number[];
    private Evaluate;
}
