import { ControlElement } from "./ControlElement";
import { Complex } from "../Math/Complex";
export declare class ControlElementPD1 extends ControlElement {
    private _K;
    private _T;
    private _u_n1;
    constructor(K: number, T: number);
    GetType(): string;
    GetLowestTimeConstant(): number;
    Initialize(_dt: number): void;
    Calculate(u: number, dt: number): number;
    TimeFunctionStepResponse(t: number): number;
    private _res;
    TransferFunction(s: Complex): Complex;
    OptimizeGetNumParameters(): number;
    OptimizeSetParameters(params: number[], startIdx: number): void;
}
