import { ControlPath } from "./ControlPath";
export declare abstract class ControlApp {
    readonly MAX_NUM_CONTROL_ELEMENTS: number;
    private _controlElementList;
    private _controlPathImg;
    protected ControlAppInit(): void;
    protected CreateControlPathFromGui(): ControlPath;
    protected ShowControlParamsInGui(ctrlParams: number[]): void;
    protected SetControlParamInGuiPic(paramName: string, valStr: string): void;
    CtrlElemSelected(idx: number): void;
}
