import { ControlPath } from "./ControlPath";
import { IDifferentialEvolutionRating } from "../../Framework/DifferentialEvolution/IDifferentialEvolutionRating";
export declare class ControlPathParamEstimation implements IDifferentialEvolutionRating {
    private _controlPath;
    private _measData;
    private _stepHeight;
    private _stepTime;
    private _dt;
    constructor(controlPath: ControlPath, measData: [number, number][]);
    Optimize(limitMinParams: number, limitMaxParams: number, dither: boolean, maxNumSteps: number, stepHeight: number, stepTime: number): number[];
    RateCandidate(paramList: number[]): number;
    private Evaluate;
}
