import { IDifferentialEvolutionRating } from "./IDifferentialEvolutionRating";
export declare class DifferentialEvolution {
    private readonly NUM_CANDIDATES_FACTOR;
    private readonly WEIGHTING_FACTOR_MIN;
    private readonly WEIGHTING_FACTOR_MAX;
    private readonly WEIGHTING_FACTOR_FIX;
    private readonly CROSSOVER_PROBABILITY;
    private _dither;
    private _iDifferentialEvolutionRating;
    private _candidateList;
    private _tempCandidateList;
    private _limitMinParams;
    private _limitMaxParams;
    constructor(iDifferentialEvolutionRating: IDifferentialEvolutionRating, numParams: number, dither?: boolean);
    GetBestCandidate(): number[];
    CreateCandidates(initMinParams: number[], initMaxParams: number[], limitMinParams: number[], limitMaxParams: number[]): void;
    EvolutionStep(): void;
    private GetRandomCandidateIndex;
    private GetThreeRandomCandidates;
}
