var Graph = (function () {
    function Graph() {
    }
    Graph.Draw = function (graphName, title, xAxisTitle, yAxisTitle, y2AxisTitle, curveNameList, yAxisList, curveColorList, curveDataList, lineWidthList) {
        var divGraph = document.getElementById(graphName);
        var graphData = [];
        var idx;
        for (idx = 0; idx < curveDataList.length; idx++) {
            var lineWidth = 1;
            if (lineWidthList)
                lineWidth = lineWidthList[idx];
            graphData[idx] = {
                label: "Y" + yAxisList[idx] + ": " + curveNameList[idx],
                data: curveDataList[idx],
                lines: { lineWidth: lineWidth },
                yaxis: yAxisList[idx],
                color: curveColorList[idx]
            };
        }
        var graphSettings = {
            title: title,
            legend: {
                position: 'ne'
            },
            xaxis: {
                title: xAxisTitle
            },
            yaxis: {
                title: yAxisTitle
            },
            y2axis: {
                title: y2AxisTitle
            },
            grid: {
                verticalLines: true,
                horizontalLines: true
            }
        };
        Flotr.draw(divGraph, graphData, graphSettings);
    };
    return Graph;
}());
export { Graph };
//# sourceMappingURL=Graph.js.map