var MathEx = (function () {
    function MathEx() {
    }
    MathEx.Trunc = function (x) {
        return (x > 0) ? Math.floor(x) : Math.ceil(x);
    };
    MathEx.Sign = function (x) {
        if (x < 0)
            return -1;
        else
            return 1;
    };
    MathEx.Factorial = function (n) {
        var r = 1;
        var i;
        for (i = 2; i <= n; i++)
            r *= i;
        return r;
    };
    MathEx.Min = function (arr) {
        if (arr.length == 0)
            throw new Error("array length is 0");
        var res = arr[0];
        var i;
        for (i = 1; i < arr.length; i++) {
            if (arr[i] < res)
                res = arr[i];
        }
        return res;
    };
    MathEx.Max = function (arr) {
        if (arr.length == 0)
            throw new Error("array length is 0");
        var res = arr[0];
        var i;
        for (i = 1; i < arr.length; i++) {
            if (arr[i] > res)
                res = arr[i];
        }
        return res;
    };
    MathEx.Sinh = function (x) {
        return 0.5 * (Math.exp(x) - Math.exp(-x));
    };
    MathEx.Cosh = function (x) {
        return 0.5 * (Math.exp(x) + Math.exp(-x));
    };
    MathEx.Sqr = function (d) {
        return d * d;
    };
    return MathEx;
}());
export { MathEx };
//# sourceMappingURL=MathEx.js.map