import { ControlElement } from "./ControlElement";
import { Complex } from "../../Framework/Math/Complex";
export declare class ControlElementPT2 extends ControlElement {
    private _K;
    private _T;
    private _D;
    private _y_n1;
    private _y_n2;
    constructor(K: number, T: number, D: number);
    GetType(): string;
    GetLowestTimeConstant(): number;
    Initialize(_dt: number): void;
    Calculate(u: number, dt: number): number;
    TimeFunctionStepResponse(t: number): number;
    private _res;
    TransferFunction(s: Complex): Complex;
    OptimizeGetNumParameters(): number;
    OptimizeSetParameters(params: number[], startIdx: number): void;
}
