import { ControlElement } from "./ControlElement";
export declare class GuiControlElement {
    private readonly CTRL_TYPE_LIST;
    private _ctrlType;
    private _idx;
    private _pic;
    private _hasParamK;
    private _hasParamT;
    private _hasParamD;
    private _htmlElemCtrl;
    private _htmlElemParamK;
    private _htmlElemParamT;
    private _htmlElemParamD;
    private _htmlElemTransferFunction;
    private _k;
    private _t;
    private _d;
    readonly CtrlType: string;
    readonly HasParamK: boolean;
    readonly HasParamT: boolean;
    readonly HasParamD: boolean;
    private constructor();
    static Create(ctrlType: string, idx: number, pic: HTMLObjectElement): GuiControlElement;
    CreateControl(): ControlElement;
    Show(): void;
    ShowParams(): void;
    TakeParams(): void;
    private UpdateParamsInPic;
    private UpdateParamsInInputs;
    GetNumParams(): number;
    ShowParamVals(params: number[], paramIdx: number): void;
}
