export declare class Gui {
    static GetCheckedRadioValue(radioGroupName: string): string;
    static GetComboboxItem(inputId: string): string;
    static GetString(inputId: string): string;
    static Set(inputId: string, val: any): void;
    static GetNumber(inputId: string): number;
    static IsChecked(inputId: string): boolean;
    static IsCheckedWithDefault(inputId: string, defaultVal: boolean): boolean;
    static GetTable(tableName: string): HTMLTableElement;
    static SetTableCell(tableName: string, row: number, col: number, val: any): void;
    static ClearTable(table: HTMLTableElement): void;
    static SelectClearOptions(selId: string): void;
    static SelectAddOptions(selId: string, optList: string[]): void;
}
